Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.domain
[Groovy] Class GormApiSupport

    java.lang.Object
      org.codehaus.groovy.grails.domain.GormApiSupport

    class GormApiSupport
    extends java.lang.Object

Helper class used in the case where there is not GORM API installed in the application to provide basic validation facility.

Authors:
  Graeme Rocher

Since:
  2.0

Method Summary
`static org.grails.datastore.gorm.GormValidationApi` | `getGormValidationApi(org.grails.datastore.mapping.core.Datastore datastore, java.lang.Class cls, org.springframework.validation.Validator validator)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getGormValidationApi

    static org.grails.datastore.gorm.GormValidationApi getGormValidationApi(org.grails.datastore.mapping.core.Datastore datastore, java.lang.Class cls, org.springframework.validation.Validator validator)

Groovy Documentation